<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical"
    tools:context=".onboarding.userType.NewUserActivity">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginLeft="@dimen/_32sdp"
        android:layout_marginRight="@dimen/_32sdp"
        android:gravity="center"
        android:orientation="vertical">



        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="SIGNUP"
            android:textAppearance="@style/TextAppearance.AppCompat.Small" />

        <RelativeLayout
            android:layout_marginTop="@dimen/_10sdp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/new_user_name_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="User Name"
                app:startIconDrawable="@drawable/ic_person">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/new_user_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:paddingEnd="32dp"
                    android:maxLength="20"
                    android:padding="@dimen/_5sdp"
                    android:singleLine="true"
                    android:text="" />

            </com.google.android.material.textfield.TextInputLayout>
            <ProgressBar
                android:layout_marginEnd="15dp"
                android:id="@+id/user_check"
                android:layout_alignParentEnd="true"
                android:layout_centerInParent="true"
                android:layout_width="20dp"
                android:layout_height="20dp"/>
            <ImageView
                android:id="@+id/user_check_image"
                android:layout_marginEnd="15dp"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_alignParentEnd="true"
                android:layout_centerInParent="true"/>

        </RelativeLayout>


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/new_user_password_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="Password"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/new_user_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:maxLength="20"
                android:padding="@dimen/_5sdp"
                android:singleLine="true"
                android:text="" />

        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:id="@+id/new_user_password_confirm_layout"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_10sdp"
            android:hint="Confirm Password"
            app:passwordToggleEnabled="true"
            app:startIconDrawable="@drawable/ic_lock_outline_black_24dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/new_user_password_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:maxLength="20"
                android:padding="@dimen/_5sdp"
                android:singleLine="true"
                android:text=""/>

        </com.google.android.material.textfield.TextInputLayout>


        <Button
            android:id="@+id/new_user_submit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_20sdp"
            android:background="@drawable/btn_border"
            android:foreground="?android:attr/selectableItemBackgroundBorderless"
            android:padding="10dp"
            android:text="SUBMIT"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium"
            android:textColor="@color/white"
            android:textSize="@dimen/_12sdp" />


        <ProgressBar
            android:id="@+id/new_user_progressBar"
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center_horizontal"
            android:layout_margin="5dp"
            android:indeterminate="false"
            android:minWidth="40dp"
            android:minHeight="40dp"
            android:visibility="invisible" />


    </LinearLayout>

</LinearLayout>